View Poll Results: Does it work for you?

Voters
308. You may not vote on this poll
  • Yes

    234 75.97%
  • No

    74 24.03%
Page 1 of 10 123 ... LastLast
Results 1 to 10 of 571

Thread: Gens for Linux ubuntu package

Hybrid View

  1. #1
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Gens for Linux ubuntu package

    Gens is a Sega Megadrive (Genesis), 32x and MegaCD emulator.

    Information in this post is out of date and links probably don't work. Please use Gens/GS

    http://info.sonicretro.org/Gens/GS






    --------------------------------------------------------------------------------------------------------------------
    Packages:
    --------------------------------------------------------------------------------------------------------------------

    Gens/GS 2.15.5 M5

    Gens/GS is a version of Gens for Linux maintained by GerbilSoft. The main goal of Gens/GS is to clean up the source code and combine features from various forks of Gens.

    For Hardy Heron (Intrepid)
    http://info.sonicretro.org/images/a/...-m5-1_i386.deb
    For Suse, Fedora, Mandriva
    http://www.zshare.net/download/50439696022b92a5/
    Source
    http://info.sonicretro.org/images/6/...5-gs-m5.tar.gz
    Website
    http://info.sonicretro.org/Gens/GS
    Forum Thread
    http://ubuntuforums.org/showthread.php?t=959074

    Gens 2.15.5

    Built from the offical Gens for Linux CVS tree. Features include integrated GTK interface & openGL support. Use this package if you want to run the "official" Gens.

    For Hardy Heron (Intrepid)
    http://www.zshare.net/download/20011849e53d2280/
    For Dapper Drake (Edgy, Feisty, Gutsy)
    http://www.zshare.net/download/20011749ecd028fe/
    For Suse, Fedora, Mandriva
    http://www.zshare.net/download/2001200202565a76/
    Source
    http://www.zshare.net/download/20011662a458fbbf/

    --------------------------------------------------------------------------------------------------------------------
    How to install:
    --------------------------------------------------------------------------------------------------------------------

    1) Download the Gens package

    2) Double click the file and choose "Install Package"

    or

    Open a terminal and type

    Code:
    sudo dpkg -i gens_*.deb
    To uninstall, type:

    Code:
    sudo aptitude remove gens
    --------------------------------------------------------------------------------------------------------------------
    News:
    --------------------------------------------------------------------------------------------------------------------

    UPDATE: 05/10/08

    Gens 2.15.5 released!

    A bug fix release, fixing various issues with the GUI enabling / disabling options. The new feature for this release is internal save state for SCD games. Thanks to ilguido for the patch.

    UPDATE: 01/09/08

    Gens 2.15.4 released!

    This is a good release for ATi users. You can now enjoy openGL support!

    [ 1488458 ] opengl: optimization for ati card

    UPDATE: 24/08/08

    Gens 2.15.3 released!

    [ 1923815 ] Fix startup crash

    UPDATE: 20/06/08

    Gens 2.15.2 released!

    The Gens available here is no longer a fork. Thats the big news for this release. I have merged all the patches that are used in Gens 2.15.2 upstream to CVS.

    Big thanks to ilGuido for adding an option to choose your CD-ROM drive (Options > Current CD Drive). Thats the big feature for this release.

    If anyone wants to submit a patch, you can use the Gens sourceforge page at http://sourceforge.net/projects/gens/

    As always, keep hacking!

    UPDATE: 09/06/08

    No the new package does not offer anything thats already currently available. Its simply a version bump to stop confusion with other packages labelled version 2.14

    UPDATE: 07/06/08

    New package uploaded! The big news is that Gens now supports real MegaCD / SegaCD CD-ROMs. Gens assumes that your CD-ROM is mapped to dev/hdc, but you could create a symlink if its not. Thanks to ilGuido for the patch

    UPDATE: 19/05/08

    I've uploaded a new version of Gens for you all, albeit unofficial in that it strays from CVS. The changelog is at the bottom of this post

    UPDATE: 26/04/08

    The Hardy Heron package is here but unfortunately Gens CVS just segfaults for me. Even the Gutsy package segfaults with Hardy. This could be a major incompatibility issue between Gens and the Hardy libraries should this issue not just be isolated to me.. At this point I suppose we should all be crying out to programmers to kick-start the Gens development again!

    PS. The Gens stable package is OK with Hardy

    UPDATE: 08/03/08

    Unfortunately Wryun, our Gens guru, is currently unable to devote much time to coding these days. Rather then let Gens go unmaintained again, I am calling out for developers to pick up where Wryun left off. For those who want to code, the priorities to fix are:

    - add the ATI patch in

    - clean up joystick support
    - work out what's going on with the GUI updates, and put the OpenGL option into the Glade files
    - fall back properly to no OpenGL when OpenGL fails
    - rework the config files parsing (it's kinda ugly, and more significantly relies on unique chars which potentially conflict with things in filenames. I changed from [] to *? for this reason).
    - work out why it loses the plot sometimes on fullscreen/window switch

    Enhancements:
    - XVideo support for those whose OpenGL isn't working - see the latest generator source
    - J-Cart support - one of the recent console emulator releases has it, can't remember which (PSP?)
    - run all the files through a code beautifier so the indentation/style gets half-way consistent (didn't do it myself because it would make the repository a mess of changes; wanted to wait until the basic patches were in and 2.13 was something stable)
    - rewrite the terrifying joystick code

    UPDATE: 08/11/07

    Finally got around to compiling Gens CVS 20070625 with the Gutsy libraries. You can find the Gutsy package in the downloads section of this post. As for an altogether new CVS package, well you will have to harass Wryun for that!

    UPDATE: 29/06/07

    Several users have been reporting crashes in the new Gens CVS package (cvs20070625). The package was built in an Dapper Drake environment and this might be causing problems for Feisty Fawn users. I have now re-packaged Gens in an Feisty environment and maybe this will solve the problems. You can find the updated packages in the "Packages" section of this thread

    Note that you need openGL support to run Gens CVS.

    UPDATE: 25/06/07

    Gens-2.13-cvs20070625 released!

    Okay people, time to get excited! The first glimpse of Wryun's work is upon us!! I have made a package of the latest snapshot in CVS. Be aware that it may contain bugs and should be considered unstable until Wryun releases the final product.

    UPDATE: 14/06/07

    Great news! Gens is being actively maintained again and we can expect a new version in the coming weeks! An alpha build will be released soon, followed by a stable 2.13. Ubuntuforums member wryun is responsible for the new work being carried out, and we thank him for his contributions! I'll be packaging the new version(s) so be sure to check back here!

    UPDATE: 16/05/07

    Gens-2.12b released!

    --------------------------------------------------------------------------------------------------------------------
    Changelog:
    --------------------------------------------------------------------------------------------------------------------

    ## gens-2.15.5
    - [ 2138114 ] fix the bugs of the gui (by ilguido)

    ## gens-2.15.4
    - [ 1488458 ] opengl: optimization for ati card (by nbondoux)

    ## gens-2.15.3
    - [ 1923815 ] Fix startup crash (by Mark Schreiber)

    ## gens-2.15.2
    - New CD-ROM drive chooser (by ilGuido)

    ## gens-2.15.1
    - Version bump to stop confusion with the Gens 2.14 linux package
    - No other changes

    ## gens-patched20080606 changes
    - CD-ROM support (assumes /dev/hdc). (by ilGuido)

    ## gens-patched20080519 changes
    - Fixed segfault on startup. (by MonkeeSage)
    - Set OpenGL mode default to off, since it's crashprone if you don't have
    the proper bpp selected (and sometimes even if you do). (by garron)
    - The Pause button on the keyboard pauses emulation. Same as Escape, but
    Escape also quits the game when gens is started with --quickexit.Ideally
    these should all be remappable, but that has to wait for another day.(by garron)
    - Add a listing for --quickexit to gens --help. (by garron)

    ## gens-cvs20070625 changes
    - ROM window now integrates with main interface
    - Full command line options now implemented
    - OpenGL turned on by default
    - Better joypad support
    - Tons of other undocumented improvements!

    ## gens-2.12b changes
    - Open ROM dialog box remembers last used directory
    - Source code now compiles using gcc4

    ## gens-2-12a changes
    - Rebuilt using proper Debian way; no more checkinstall

    - Changed package naming scheme
    - Dependency list now included
    Last edited by megamaced; April 3rd, 2010 at 04:20 PM. Reason: New package

  2. #2
    Join Date
    Aug 2006
    Location
    SoCal, USA
    Beans
    2

    Re: Gens for Linux ubuntu package

    Disclaimer: I am not an Ubuntu user; I'm running Debian 'Etch'.

    But this package worked perfectly for me, both installing and removing with apt, along with the k-menu entry. If nothing else, this proves baseline Debian compatibility.

    Good job dude,
    -AT

  3. #3
    Join Date
    Aug 2006
    Location
    United States
    Beans
    Hidden!

    Re: Gens for Linux ubuntu package

    I'm using Dapper and the package installed perfectly, though it would not open with the GUI installer when I tried. Haven't tried uninstalling it yet as I'm still trying to work out my issues with the emulator, which you can look at here.

  4. #4
    Join Date
    Apr 2006
    Beans
    2

    Re: Gens for Linux ubuntu package

    Thank you very much for this. I'm on 6.06, and it works for me. I've only tried Shining Force so far, but I'll test some others and get back to you.

    Few minutes later, I've tried a few more games. This runs smoother than Gens on my XP install. The 32x games run perfectly as well(but are, unfortunately, still 32x games,) and hopefully I'll find some of my old Sega CDs soon to try that out. The only hitch I've found so far is that, when I tried 48khz sound, the emu spat out a godawful noise, but 22khz (default) and 44khz (what I generally use anyway) work fine.

    Okay, last edit, I promise. It won't let me select or configure a CD rive, so it won't try to play CDs. I don't have any .isos around, so I can't test those. If anyone sees a reason why, I'd sure appreciate the feedback.

    I lied, it plays CDs, you just have to hit ctrl+b. Durr.
    Last edited by profshiny; November 4th, 2006 at 10:17 PM.

  5. #5
    Join Date
    Sep 2005
    Location
    Sweden
    Beans
    34
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: Gens for Linux ubuntu package

    This worked like a charm!

    Many thanks! I have struggled to get Gens to work for a long time now.
    "Real programmers does not document. If it was hard to write, it should be hard to read."

  6. #6
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Gens for Linux ubuntu package

    Good to hear it's working for most people.

    I find it strange that the ubuntu repositories have Zsnes and vbaexpress, but don't have a Sega emulator as well. Okay, well they have DGen, but that sucks

  7. #7
    Join Date
    Jun 2005
    Location
    Cornwall, UK
    Beans
    44
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Gens for Linux ubuntu package

    Just installed it and is working brilliantly. Tried DGen a while ago but wasn't impressed. Glad to have stumbled across this.

  8. #8
    Join Date
    Aug 2006
    Location
    tuesday
    Beans
    6,502
    Distro
    Kubuntu Development Release

    Re: Gens for Linux ubuntu package

    Oh gawd now I have to dig toejam and earl out of my backup archives on the external hard drive. hehe

    Thanks for sharing.

  9. #9
    Join Date
    Aug 2006
    Beans
    43

    Re: Gens for Linux ubuntu package

    That package worked great!

    Now for one minor problem...whenever I try to change the resolution Gens just quits...here's what bash says:

    The program 'gens' received an X Window System error.
    This probably reflects a bug in the program.
    The error was 'GLXBadContextTag'.
    (Details: serial 1990 error_code 158 request_code 148 minor_code 144)
    (Note to programmers: normally, X errors are reported asynchronously;
    that is, you will receive the error a while after causing it.
    To debug your program, run it with the --sync command line
    option to change this behavior. You can then get a meaningful
    backtrace from your debugger if you break on the gdk_x_error() function.)
    But if I run it with the --sync flag it doesn't tell me any more...anybody else having this problem?

  10. #10
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Gens for Linux ubuntu package

    It's possible to get Gens running on very old hardware with a bit of tweaking. I've got it running perfect full screen on an old P2 laptop with no direct rendering. For older hardware it's best to disable OpenGL in Gens and change the frame skip from 'auto' to '3' or '4'.

Page 1 of 10 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •